trinity-devel@lists.pearsoncomputing.net

Message: previous - next
Month: June 2017

Re: [trinity-devel] TDE Fundraiser

From: Slávek Banko <slavek.banko@...>
Date: Sat, 17 Jun 2017 16:40:31 +0200
On Wednesday 14 of June 2017 23:55:22 Dr. Nikolaus Klepp wrote:
> Hi Slavec!
>
> Am Samstag, 3. Juni 2017 schrieb Slávek Banko:
> > Nik, all,
> >
> > I stepped forward. I updated my test machine to FreeBSD 11 and then I
> > solved all the problems with building all current Trinity ports. Most
> > recent commits were in connection with FreeBSD... Now FreeBSD ports
> > in tde-packaging are updated to current R14.0.5~pre versions:
> >
> > http://mirror.git.trinitydesktop.org/cgit/tde-packaging/log/freebsd?h
> >=r14.0.x
> >
> > Note: Now I can not test the result because on my test machine XOrg
> > crashes in vesa_drv.so on illegal instruction in xf86SlowBcopy :(
> >
> > Cheers
>
> You are my hero, it works!
>
> I did some testing on FreeBSD the last week, here is what I found:
>
> "tdebase/Makefile" has a line "USES+= samba", but there is no "samba"
> package nor port. It compiles fine without this line, but I have
> samba44 installed. I'll take a closer look next week.
>
> gcc4: TDE compiles and is fully functional, but I did not try the
> screenlocking function. :-) gcc5: "tdeaccessibility" and "tdeadmin" do
> not compile when gcc5 is installed.
>
> Thank you very much for your excelent work!
>
> Nik

In the current ports is Mk/Uses/samba.mk, which provides samba according 
to the current version. And the port net/samba-libsmbclient has been 
canceled. Therefore, USES += samba now ensures smbclient libraries 
according to the current version of samba.

Note: When I updated system, packages and ports today, pkg-config files 
are unexpectedly installed into /opt/trinity/libdata/pkgconfig. As if the 
variable PKGCONFIG_INSTALL_DIR was now predefined in the system.

Cheers
-- 
Slávek